Bug 252217 - Cannot login via ssh into automounted home directory
Summary: Cannot login via ssh into automounted home directory
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-14 19:22 UTC by Orion Poplawski
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-15 17:30:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion Poplawski 2007-08-14 19:22:04 UTC
Description of problem:

We automount via nfs our home directories.  Current selinux policy is breaking this:

Aug 14 13:19:42 lynx kernel: audit(1187119182.402:133): avc:  denied  { search }
for  pid=5824 comm="sshd" name="/" dev=autofs ino=7714
scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023
tcontext=system_u:object_r:autofs_t:s0 tclass=dir
Aug 14 13:19:42 lynx kernel: audit(1187119182.404:134): avc:  denied  { search }
for  pid=5824 comm="sshd" name="" dev=0:12 ino=12308737
scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=dir
Aug 14 13:19:42 lynx kernel: audit(1187119182.408:135): avc:  denied  { getattr
} for  pid=5824 comm="sshd" path="/home/orion/.ssh/authorized_keys" dev=0:12
ino=12313098 scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=file
Aug 14 13:19:42 lynx kernel: audit(1187119182.411:136): avc:  denied  { read }
for  pid=5824 comm="sshd" name="authorized_keys" dev=0:12 ino=12313098
scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=file
Aug 14 13:19:42 lynx kernel: audit(1187119182.413:137): avc:  denied  { getattr
} for  pid=5824 comm="sshd" path="/home" dev=autofs ino=7714
scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023
tcontext=system_u:object_r:autofs_t:s0 tclass=dir
Aug 14 13:19:42 lynx kernel: audit(1187119182.414:138): avc:  denied  { getattr
} for  pid=5824 comm="sshd" path="/home/orion" dev=0:12 ino=12308737
scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=dir

Version-Release number of selected component (if applicable):
selinux-policy-3.0.5-5.fc8

Comment 1 Orion Poplawski 2007-08-14 22:25:31 UTC
Well, the nfs_t denials are probably fixed with use_nfs_home_dirs which wasn't
set.  I still see the autofs_t denial with it though and it prevents changing to
the home directory.

Comment 2 Daniel Walsh 2007-08-15 00:42:21 UTC
autofs fixed in selinux-policy-3.0.5-7.fc8

Comment 3 Orion Poplawski 2007-08-15 17:30:44 UTC
Confirmed.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.